org.hibernate.validator.ap.checks

## Class TargetCheck

- java.lang.Object
- - org.hibernate.validator.ap.checks.AbstractConstraintCheck
  - - org.hibernate.validator.ap.checks.TargetCheck

- All Implemented Interfaces:
    ConstraintCheck

      public class TargetCheck
      extends AbstractConstraintCheck

  Checks, that at least one of the `ElementType`s FIELD, METHOD, TYPE or ANNOTATION_TYPE is specified using the `Target` meta-annotation for constraint annotation types.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TargetCheck(AnnotationApiHelper annotationApiHelper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<ConstraintCheckError>` | `checkAnnotationType(TypeElement element, AnnotationMirror annotation)` Checks, whether the given annotation is allowed at the given annotation type declaration.

    - ### Methods inherited from class org.hibernate.validator.ap.checks.AbstractConstraintCheck

      `checkField, checkMethod, checkNonAnnotationType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TargetCheck

          public TargetCheck(AnnotationApiHelper annotationApiHelper)

  - ### Method Detail

    - #### checkAnnotationType

          public Set<ConstraintCheckError> checkAnnotationType(TypeElement element,
                                                      AnnotationMirror annotation)

      Description copied from interface: `ConstraintCheck`
      Checks, whether the given annotation is allowed at the given annotation type declaration.
      Specified by:
        `checkAnnotationType` in interface `ConstraintCheck`
      Overrides:
        `checkAnnotationType` in class `AbstractConstraintCheck`
      Parameters:
        `element` - An annotated annotation type declaration.
        `annotation` - An annotation at that annotation type.
      Returns:
        A set with errors, that describe, why the given annotation is not allowed at the given element. In case no errors occur (the given annotation is allowed at the given element), an empty set must be returned.

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved